edu.sc.seis.sod.source.event

## Class PeriodicFakeEventSource

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.event.PeriodicFakeEventSource

- All Implemented Interfaces:
    EventSource, Source
  Direct Known Subclasses:
    NowFakeEventSource

      public class PeriodicFakeEventSource
      extends AbstractSource
      implements EventSource

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `PeriodicFakeEventSource(org.w3c.dom.Element config)`
    `protected` | `PeriodicFakeEventSource(edu.iris.Fissures.model.MicroSecondDate startTime, edu.iris.Fissures.model.TimeInterval interval, int numEvents)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange` | `getEventTimeRange()`
    `edu.iris.Fissures.model.TimeInterval` | `getWaitBeforeNext()` If the source needs to wait for more events to arrive, it should return the amount of time it wants to wait with this method.
    `boolean` | `hasNext()`
    `edu.sc.seis.fissuresUtil.cache.CacheEvent[]` | `next()`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getName, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName, getName, getRetries`

- - ### Constructor Detail

    - #### PeriodicFakeEventSource

          protected PeriodicFakeEventSource(edu.iris.Fissures.model.MicroSecondDate startTime,
                                            edu.iris.Fissures.model.TimeInterval interval,
                                            int numEvents)

    - #### PeriodicFakeEventSource

          public PeriodicFakeEventSource(org.w3c.dom.Element config)
                                  throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `EventSource`

    - #### getEventTimeRange

          public edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange getEventTimeRange()

      Specified by:
        `getEventTimeRange` in interface `EventSource`
      Returns:
        - a MicroSecondTimeRange starting at least as early as the earliest event and ending at least as late as the latest event. No event should be returned by this source with an origin before the begin time or after the end time of this range.

    - #### getWaitBeforeNext

          public edu.iris.Fissures.model.TimeInterval getWaitBeforeNext()

      Description copied from interface: `EventSource`
      If the source needs to wait for more events to arrive, it should return the amount of time it wants to wait with this method.
      Specified by:
        `getWaitBeforeNext` in interface `EventSource`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `EventSource`
      Returns:
        - false when this event source will return no new events from calls to next

    - #### next

          public edu.sc.seis.fissuresUtil.cache.CacheEvent[] next()

      Specified by:
        `next` in interface `EventSource`
      Returns:
        - the next set of events. Events can be returned from this method multiple times